org.codehaus.plexus.javadoc

## Class PlexusRequirementTaglet

- java.lang.Object
- - org.codehaus.plexus.javadoc.AbstractPlexusTaglet
  - - org.codehaus.plexus.javadoc.PlexusRequirementTaglet

All Implemented Interfaces:
  com.sun.tools.doclets.Taglet

    public class PlexusRequirementTaglet
    extends AbstractPlexusTaglet

Tagging a field with `@plexus.requirement` will tell plexus to inject the required component or list of components before the component itself is started. Fields can be of the type of the Interface defining the component you wish to be injected or of type `java.util.List` or `java.util.Map`.
Fields of type `java.lang.List` will have a list of components injected whereas a field of type `java.lang.Map` will have a mapping in the form of `role-hint -> component`. The `role` parameter is required if using a `List` or `Map` whereas a role-hint is not allowed.

Parameter | Required | Description
role | No. Yes if the field is a `List` or a `Map` | The role parameter is used to tell plexus what Component role you are interested in. For singleton fields their type is used as a default.
role-hint | No. Not allowed if the field is a `List` or a `Map` | Links to the role-hint defined by a component when looking up a component. Not allowed with `List` or `Map` fields, as they return all `role-hint`s.

Version:
  $Id: PlexusRequirementTaglet.java 7277 2008-04-11 18:12:21Z bentmann $
Author:
  Vincent Siveton
See Also:
  http://plexus.codehaus.org/guides/developer-guide/appendices/javadoc-tags-reference.html

### Constructor Summary

Constructors
Constructor and Description
`PlexusRequirementTaglet()`

### Method Summary

Methods
`java.lang.String` `getHeader()`
`java.lang.String` `getName()`
`boolean` `inConstructor()`
`boolean` `inField()`
`boolean` `inMethod()`
`boolean` `inOverview()`
`boolean` `inPackage()`
`boolean` `inType()`
`boolean` `isInlineTag()`
`static void` `register(java.util.Map tagletMap)` Register this Taglet.

### Methods inherited from class org.codehaus.plexus.javadoc.AbstractPlexusTaglet

`toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusRequirementTaglet

    public PlexusRequirementTaglet()

### Method Detail

#### getHeader

    public java.lang.String getHeader()

Specified by:
  `getHeader` in class `AbstractPlexusTaglet`
Returns:
  the header to display

#### getName

    public java.lang.String getName()

#### inConstructor

    public boolean inConstructor()

#### inField

    public boolean inField()

#### inMethod

    public boolean inMethod()

#### inOverview

    public boolean inOverview()

#### inPackage

    public boolean inPackage()

#### inType

    public boolean inType()

#### isInlineTag

    public boolean isInlineTag()

#### register

    public static void register(java.util.Map tagletMap)

Register this Taglet.

Parameters:
  `tagletMap` - the map to register this tag to.